You are not logged in.

#1 2005-02-06 17:23:31

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Audioscrobbler :: Group "ArchLinux"

i just created the a audioscrobbler group for archlinux:

http://www.audioscrobbler.com/group/ArchLinux

feel free to join and share your taste of music

PS
my nick @ audioscrobbler is "aleator"


The impossible missions are the only ones which succeed.

Offline

#2 2005-02-06 20:07:12

sarah31
Member
From: Middle of Canada
Registered: 2002-08-20
Posts: 2,975
Website

Re: Audioscrobbler :: Group "ArchLinux"

do you realize that there are two Arch Linux groups dp?

Just thought I would point it out.


AKA uknowme

I am not your friend

Offline

#3 2005-02-06 20:22:44

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Re: Audioscrobbler :: Group "ArchLinux"

sarah31 wrote:

do you realize that there are two Arch Linux groups dp?

Just thought I would point it out.

well ... now i know ;-) ... i searched our forums, bud didn't find anything :-( .... lol

bad marketing from the first group :-)


The impossible missions are the only ones which succeed.

Offline

#4 2005-02-07 07:22:26

sarah31
Member
From: Middle of Canada
Registered: 2002-08-20
Posts: 2,975
Website

Re: Audioscrobbler :: Group "ArchLinux"

yeah.

I was surprised when I was browsing around and found that there was already a group. I would have mentioned it somewhere here or on the ML.


AKA uknowme

I am not your friend

Offline

#5 2005-02-09 16:37:52

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Re: Audioscrobbler :: Group "ArchLinux"

by the way: rbscrobbler is now in extra - this is the plugin for rhythmbox for audioscrobbler

enjoy!


The impossible missions are the only ones which succeed.

Offline

#6 2005-02-09 18:53:16

miqorz
Member
Registered: 2004-12-31
Posts: 475

Re: Audioscrobbler :: Group "ArchLinux"

Is there an XMMS plugin?


http://wiki2.archlinux.org/

Read it. Love it. Live it. Or die.

Offline

#7 2005-02-09 19:06:08

Mith
Member
From: out there
Registered: 2004-10-05
Posts: 163

Re: Audioscrobbler :: Group "ArchLinux"

miqorz wrote:

Is there an XMMS plugin?

yes there is and the website clearly states that wink
it comes in a source package but it's the standard procedure of installing it (configure / make / make install )


ArchLinux (x86_64) w/ kdemod

Offline

#8 2005-02-09 19:11:57

miqorz
Member
Registered: 2004-12-31
Posts: 475

Re: Audioscrobbler :: Group "ArchLinux"

Meh, I'll just make an arch package.


http://wiki2.archlinux.org/

Read it. Love it. Live it. Or die.

Offline

#9 2005-02-22 10:13:49

FUBAR
Member
From: Belgium
Registered: 2004-12-08
Posts: 1,029
Website

Re: Audioscrobbler :: Group "ArchLinux"

Too bad one of the forum admins is a drunk, all the good posts have been purged! :cry:


A bus station is where a bus stops.
A train station is where a train stops.
On my desk I have a workstation.

Offline

#10 2005-02-22 19:28:49

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Audioscrobbler :: Group "ArchLinux"

there are quite a few mpd users, and some are not happy with the
mpdscrobbler python script.

I found mpdscribble a C-plugin, not really a plugin, just a programm actually.
the current testversion runs and builds well:

# Contributor: Tobias Kieslich <tobias@_rm-f_justdreams.de>

pkgname=mpdscribble
_srcver=mdc-0.1.2test3
pkgver=0.1.2
pkgrel=1
pkgdesc="audioscrobbler plugin for mpd"
url="http://http://scribble.frob.nl/"
depends=('mpd' 'curl' 'libidn')
source=(http://scribble.frob.nl/files/$_srcver.tar.gz)

build() {
  cd $startdir/src/$pkgname
  make || return 1
  install -Dm755 $pkgname $startdir/pkg/usr/bin/$pkgname
  install -Dm755 setup.sh $startdir/pkg/usr/bin/$pkgname-config
}

Note: after building and installing you need to run (as user, not root!)
mpdscribble-config, which asks for username and password and creates
a config-file in ~./mpdscribble .

now we just need to find a reasonable way to start it with mpd smile

-neri

Offline

#11 2005-02-22 19:43:25

miqorz
Member
Registered: 2004-12-31
Posts: 475

Re: Audioscrobbler :: Group "ArchLinux"

Couldn't you just modify the init script?


http://wiki2.archlinux.org/

Read it. Love it. Live it. Or die.

Offline

#12 2005-02-22 20:17:13

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Audioscrobbler :: Group "ArchLinux"

miqorz wrote:

Couldn't you just modify the init script?

I was halfway through that plan when I realized that the initscript is initiated
with root rights, then mpd switches over to the user in mpd.conf. But when I
run mpdscribble from the script it wodd be running root -> bad style
1. the ~/.mpdscribble/ would have to be /root/.mpdscribble/ -> argh
2. it's running as root which is not necessary for it

I'd like to deamonize it -> but running with rights from the usser given
in /etc/mpd.conf. It seems that the souirces of either package would have to be tweaked for that, hmm

-neri

Offline

#13 2005-02-22 20:20:39

miqorz
Member
Registered: 2004-12-31
Posts: 475

Re: Audioscrobbler :: Group "ArchLinux"

Why not use su to switch to your user?


http://wiki2.archlinux.org/

Read it. Love it. Live it. Or die.

Offline

#14 2005-02-22 20:25:42

freakyc
Member
Registered: 2004-03-28
Posts: 89

Re: Audioscrobbler :: Group "ArchLinux"

dp - I filed a bug report here, but I just thought I'd mention that the symlink to rbscrobbler.py wasn't setup correctly for me when I installed the package.

Offline

#15 2005-02-23 00:49:21

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Audioscrobbler :: Group "ArchLinux"

migorz and his crazy ideas, it's a bit messy but indeed it works... smile

Using the following daemon you can get mpdscribble running. Note that it
uses the user that is set in mpd.conf and thus looks in this users ~ home
for a ~/.mpdscribble/login.conf. It doesn't run if you don't create it in
advance!

#!/bin/bash

. /etc/rc.conf
. /etc/rc.d/functions

# isolate the user from config to make sure the ~/.mpdscribble-dir is correct
USER=`sed -n '/^user/s/^.*"(.*)".*$/1/p' /etc/mpd.conf`

PID=`pidof -o %PPID /usr/bin/mpdscribble`
case "$1" in
  start)
    if [ ! -f /home/$USER/.mpdscribble/login.conf ]; then
      echo "ERROR: no configfile for $USER. Run mpdscribble-config as $USER"
      stat_fail
      exit 1
    fi
    stat_busy "Starting Scribble as $USER"
    [ -z "$PID" ] && su $USER -c /usr/bin/mpdscribble &
    if [ $? -gt 0 ]; then
      stat_fail
    else
      echo $PID > /var/run/mpdscribble.pid
      add_daemon mpdscribble
      stat_done
    fi
    ;;
  stop)
    stat_busy "Stopping Scribble"
    [ ! -z "$PID" ]  && kill $PID &> /dev/null
    if [ $? -gt 0 ]; then
      stat_fail
    else
      rm /var/run/mpdscribble.pid
      rm_daemon mpdscribble
      stat_done
    fi
    ;;
  restart)
    $0 stop
    sleep 1
    $0 start
    ;;
  *)
    echo "usage: $0 {start|stop|restart}"
esac
exit 0

actually the script should be looking for a running mpd, too - which isn't too
hard to implement. But you know, it's 1:40 am and /me falls asleep..

cya
-neri

Offline

#16 2005-03-07 12:34:56

oscar
Member
From: Linköping, Sweden
Registered: 2004-08-13
Posts: 457

Re: Audioscrobbler :: Group "ArchLinux"

# Contributor: Tobias Kieslich <tobias@_rm-f_justdreams.de>
pkgname=mpdscribble
pkgver=0.2.0
pkgrel=1
pkgdesc="audioscrobbler plugin for mpd"
url="http://http://scribble.frob.nl/"
depends=('mpd' 'curl' 'libidn' 'libsoup')
source=(http://scribble.frob.nl/files/$pkgname-$pkgver.tar.gz)
build() {
  cd $startdir/src/mdc2
  make || return 1
  install -Dm755 $pkgname $startdir/pkg/usr/bin/$pkgname
  install -Dm755 setup.sh $startdir/pkg/usr/bin/$pkgname-config
}

scribble.frob.nl was down for a few days, so I emailed the guy, and he had no idea why it was down, but the sources were still there (luckily).
You can't compile this baby without libsoup, that's why it's a dependency >.<


To err is human... to really foul up requires the root password.

Offline

#17 2005-03-09 09:54:54

arooaroo
Member
From: London, UK
Registered: 2005-01-13
Posts: 1,268
Website

Re: Audioscrobbler :: Group "ArchLinux"

Finally got around to setting up an audioscrobbler account. Just looked at the Arch group, and Enya is in the top 10! :shock: Dear oh dear...

Oh well, fortunately, I'm hear to save you all and share my excellent tastes wink

Offline

#18 2005-03-09 11:49:22

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Re: Audioscrobbler :: Group "ArchLinux"

arooaroo wrote:

Finally got around to setting up an audioscrobbler account. Just looked at the Arch group, and Enya is in the top 10! :shock: Dear oh dear...

Oh well, fortunately, I'm hear to save you all and share my excellent tastes wink

what's wrong with Enya?


The impossible missions are the only ones which succeed.

Offline

#19 2005-03-09 12:21:36

arooaroo
Member
From: London, UK
Registered: 2005-01-13
Posts: 1,268
Website

Re: Audioscrobbler :: Group "ArchLinux"

dp wrote:

what's wrong with Enya?

Ah ha! We've found our Enya fan! smile

Nah, do forgive me. I didn't mean to start some sort of flame war or whatever. I know that music tastes are subjective and all that. When it comes to music, I do find myself having knee-jerk reactions when I find people liking music I hate. But, at the same time, I don't want to become one of those elitist c--ts either.

Offline

#20 2005-03-09 12:39:05

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Re: Audioscrobbler :: Group "ArchLinux"

arooaroo wrote:
dp wrote:

what's wrong with Enya?

Ah ha! We've found our Enya fan! smile

Nah, do forgive me. I didn't mean to start some sort of flame war or whatever. I know that music tastes are subjective and all that. When it comes to music, I do find myself having knee-jerk reactions when I find people liking music I hate. But, at the same time, I don't want to become one of those elitist c--ts either.

lol

i'm not a fan (fan is the short form of fanatic). i simply like some songs by enya, that's all.

... and if you have a look at my stats:
http://www.audioscrobbler.com/user/aleator/
you will realise that enya is not on top of it ... so there must be other archers listening to songs by enya ;-)

what you said about music tastes is very much i think about it


The impossible missions are the only ones which succeed.

Offline

#21 2005-03-09 20:56:24

FUBAR
Member
From: Belgium
Registered: 2004-12-08
Posts: 1,029
Website

Re: Audioscrobbler :: Group "ArchLinux"

Did anyone notice XMMS crashing more often while using the plugin? It's pretty strange and hard to reproduce: usually when I'm skipping a lot and not letting XMMS' random function choose the next song, XMMS will crash after about 20 to 30 seconds of playing a song.

If I don't touch it tho, nothing's wrong. I also have to frequently check the AS-page to see if my plugin has sent info while I was playing music. Don't know why it suddenly stops sending.


A bus station is where a bus stops.
A train station is where a train stops.
On my desk I have a workstation.

Offline

#22 2005-03-09 21:37:53

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Audioscrobbler :: Group "ArchLinux"

FUBAR wrote:

Did anyone notice XMMS crashing more often while using the plugin? It's pretty strange and hard to reproduce: usually when I'm skipping a lot and not letting XMMS' random function choose the next song, XMMS will crash after about 20 to 30 seconds of playing a song.

Without having a look at the code or the documentation, most of the plugins have fixed time or a calculation mothod like length(song)/2 b4 they submit the data to audioscrobbler to prevent that every 5 second skipping is submitted as played song. So this sounds to me like it crashes on submittance. Maybe this time is configurable so you can test if problem is connected to this issue. I know that mpdscribble people switched from curl to libsoup based networking, while curl never crashed for me.

As an idea, you might wanna switch to mpd? wink

-neri

Offline

#23 2005-03-09 21:48:52

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Audioscrobbler :: Group "ArchLinux"

this is an updated mpdscribble version including improved daemon script.

As a note, when you stop or restart the mpd daemon, the scribble daemon crashes, but doesn't stop properly. To make sure it we had to touch the mpd daemon script, but that's overkill, isn't it wink

# Contributor: Tobias Kieslich <tobias@_rm-f_justdreams.de>

pkgname=mpdscribble
pkgver=0.2.0
pkgrel=1
pkgdesc="Audioscrobbler program for mpd"
url="http://scribble.frob.nl"
depends=('mpd' 'libsoup')
source=(http://scribble.frob.nl/files/$pkgname-$pkgver.tar.gz 
        $pkgname.rc.d)
#md5sums=('938f202d340416d58e97b09bd438798e' 'c32d999c3b617cdea1be1c3473259932')

build() {
  cd $startdir/src/mdc2
  make || return 1
  install -Dm755 $pkgname $startdir/pkg/usr/bin/$pkgname
  install -Dm755 setup.sh $startdir/pkg/usr/bin/$pkgname-config
  install -Dm755 ../$pkgname.rc.d $startdir/pkg/etc/rc.d/$pkgname
}

and the daemon

#!/bin/bash

. /etc/rc.conf
. /etc/rc.d/functions

# isolate the user from config to make sure the ~/.mpdscribble-dir is correct
USER=`sed -n '/^user/s/^.*"(.*)".*$/1/p' /etc/mpd.conf`

PID=`pidof -o %PPID /usr/bin/mpdscribble`
case "$1" in
  start)
    if [ ! -f /home/$USER/.mpdscribble/login.conf ]; then
      echo "ERROR: no configfile for $USER. Run mpdscribble-config as $USER"
      stat_fail
      exit 1
    fi
    if [ ! -f /var/run/daemons/mpd ]; then
      echo "ERROR: mpd is not running"
      stat_fail
      exit 1
    fi
    stat_busy "Starting mpdscribble as $USER"
    [ -z "$PID" ] && su $USER -c /usr/bin/mpdscribble &> /dev/null &
    if [ $? -gt 0 ]; then
      stat_fail
    else
      echo $PID > /var/run/mpdscribble.pid
      add_daemon mpdscribble
      stat_done
    fi
    ;;
  stop)
    stat_busy "Stopping mpdscribble"
    [ ! -z "$PID" ]  && kill $PID &> /dev/null
    if [ $? -gt 0 ]; then
      stat_fail
    else
      rm /var/run/mpdscribble.pid
      rm_daemon mpdscribble
      stat_done
    fi
    ;;
  restart)
    $0 stop
    sleep 1
    $0 start
    ;;
  *)
    echo "usage: $0 {start|stop|restart}"
esac
exit 0

-neri

Offline

#24 2005-04-01 01:34:03

miqorz
Member
Registered: 2004-12-31
Posts: 475

Re: Audioscrobbler :: Group "ArchLinux"

Hmm, is there a way to get the mpdscribble daemon to stop if I want to restart the mpd daemon?


http://wiki2.archlinux.org/

Read it. Love it. Live it. Or die.

Offline

#25 2005-04-01 07:58:36

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: Audioscrobbler :: Group "ArchLinux"

miqorz wrote:

Hmm, is there a way to get the mpdscribble daemon to stop if I want to restart the mpd daemon?

Not that I knew, the only "proper" way is to include some if/else stuff in
mpd's rc.d script itself. Maybe you can also create a conf.d script which will
control mpdscribbles behaviour.

-neri

Offline

Board footer

Powered by FluxBB